CVE-2013-6397

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Directory traversal vulnerability in SolrResourceLoader in Apache Solr before 4.6 allows remote attackers to read arbitrary files via a .. (dot dot) or full pathname in the tr parameter to solr/select/, when the response writer (wt parameter) is set to XSLT. NOTE: this can be leveraged using a separate XXE (XML eXternal Entity) vulnerability to allow access to files across restricted network boundaries.

References

http://lucene.apache.org/solr/4_6_0/changes/Changes.html

http://rhn.redhat.com/errata/RHSA-2013-1844.html

http://rhn.redhat.com/errata/RHSA-2014-0029.html

http://secunia.com/advisories/55730

http://secunia.com/advisories/59372

http://www.agarri.fr/kom/archives/2013/11/27/compromising_an_unreachable_solr_server_with_cve-2013-6397/index.html

http://www.openwall.com/lists/oss-security/2013/11/27/1

http://www.securityfocus.com/bid/63935

https://issues.apache.org/jira/browse/SOLR-4882

Details

Source: MITRE

Published: 2013-12-07

Updated: 2015-10-23

Type: CWE-22

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

Tenable Plugins

View all (4 total)

IDNameProductFamilySeverity
98887Apache Solr 4.0.0 < 4.6.0 Directory TraversalWeb Application ScanningComponent Vulnerability
medium
9944Apache Solr < 4.6.0 Directory TraversalNessus Network MonitorCGI
medium
76091Debian DSA-2963-1 : lucene-solr - security updateNessusDebian Local Security Checks
medium
71846Apache Solr < 4.6.0 'SolrResourceLoader' Directory TraversalNessusCGI abuses
medium